package com.ruoyi.indica.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.indica.domain.CIndicationInfo;
import com.ruoyi.indica.vo.CIndicationInfoDTO;
import com.ruoyi.indica.vo.CIndicationInfoVO;
import com.ruoyi.report.vo.CIndicationLastSumDTO;

/**
 * 地理标志Service接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface ICIndicationInfoService extends IService<CIndicationInfo> {
    /**
     * 查询地理标志列表
     *
     * @param cIndicationInfo 地理标志
     * @return 地理标志集合
     * @date 2023-04-28
     */
    List<CIndicationInfo> queryList(CIndicationInfo cIndicationInfo);

    CIndicationLastSumDTO listForLast();
    void doSyncForIprd(String beginDate, String endDate);

    CIndicationInfoDTO listReportMark(CIndicationInfo cIndicationInfo);

	List<CIndicationInfoDTO> listReportGrowth(CIndicationInfo cIndicationInfo);

    CIndicationInfoDTO listReportHzqy(CIndicationInfo cIndicationInfo);
    
    CIndicationInfoDTO listReportFarm(CIndicationInfo cIndicationInfo) ;
    
    
    List<CIndicationInfoVO> listReportMarkRank(CIndicationInfo cIndicationInfo);
    List<CIndicationInfoVO> listReportAddrRank(CIndicationInfo cIndicationInfo);
    List<CIndicationInfoVO> listReportFarmRank(CIndicationInfo cIndicationInfo);
    
    
}
